#
# spec file for package cross-ppc64-linux (Version 2.4.9)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  cross-ppc64-binutils cross-ppc64-gcc-core
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cross-ppc64-binutils cross-ppc64-gcc-core cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         cross-ppc64-linux
Copyright:    GPL
Autoreqprov:  off
Summary:      Linux kernel sources for PowerPC 64
Group:        Development/Tools
Version:      2.4.9
Release:      52
Prefix:       /opt/cross
Buildroot:    %{_tmppath}/buildroot-%{name}
%define kernel_version 2.4.9-ac10
Source0:      linux-%{version}.tar.bz2
Source1:      patch-2.4.9-ac10.bz2
Source2:      linuxppc64-2.4.9-ac10-ibm-5.patch.gz
Source3:      cross-ppc64-linux.config
Source4:      patches.tar.bz2
Summary:      Linux kernel sources for PowerPC 64

%description
This is the Linux kernel, set up for cross-development to the
PowerPC 64bit family of processors.

SuSE series: d

%define GTARGET powerpc64
%define LTARGET ppc64
%prep
%setup -c -q -T -a 0 -a 4
rm -fv patches/*~
cd linux
bzip2 -cd %{SOURCE1} | patch -Esp1
gzip  -cd %{SOURCE2} | patch -Esp1
for file in `ls ../patches/*` ; do
        echo applying patch: $file
        patch -p1 -E < $file || exit 1
done
# Tell the Makefile to use cross-compiler
cat >temp.sed <<EOF
s/ARCH[[:space:]]*:=.*/ARCH = %{LTARGET}/
s/CROSS_COMPILE[[:space:]]*=.*$/CROSS_COMPILE = powerpc64-linux-/
EOF
sed -f temp.sed Makefile >Makefile.new
mv Makefile.new Makefile
rm temp.sed
sed -e 's/^EXTRAVERSION =.*$/&-ppc64/'  < Makefile > Makefile.new
head -n 5 Makefile.new
mv Makefile.new Makefile

%build
cd linux
rm -f include/asm
ln -s asm-%{LTARGET} include/asm

%install 
export PATH=$PATH:/opt/cross/bin
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/%{GTARGET}-linux/src/linux-%{version}
ln -s linux-%{version} $RPM_BUILD_ROOT%{prefix}/%{GTARGET}-linux/src/linux
cd linux
cp -a . $RPM_BUILD_ROOT%{prefix}/%{GTARGET}-linux/src/linux-%{version}

%files
/opt/cross/powerpc64-linux/src/linux-%{version}
/opt/cross/powerpc64-linux/src/linux

%changelog -n cross-ppc64-linux
* Thu Oct 18 2001 - olh@suse.de
- add ppc64_sigfpe.diff, fixes glibc builds
* Wed Oct 10 2001 - olh@suse.de
- update to linuxppc64-2.4.9-ac10-ibm-5.patch.gz
* Fri Sep 21 2001 - olh@suse.de
- add tmpfs_ramdisk-2.4.9-ac10-ppc64.diff workraround
* Wed Sep 19 2001 - olh@suse.de
- update to linuxppc64-2.4.9-ac10-ibm-3.patch.gz
* Sun Sep 16 2001 - olh@suse.de
- add enable_initrd-2.4.9-ac10.diff
* Sat Sep 15 2001 - olh@suse.de
- change default root device to sda3
* Fri Sep 14 2001 - olh@suse.de
- update to linuxppc64-2.4.9-ac10-ibm-2.patch.gz
* Sat Sep 08 2001 - olh@suse.de
- update to 2.4.9-ac7 with drop10.can2.gz
* Sun Sep 02 2001 - olh@suse.de
- use drop9.linuxppc64.complete-vs-2.4.8-ac12.patch
* Fri Aug 31 2001 - olh@suse.de
- update to linuxppc64-2.4.9-ac3-ibm-1
* Tue Aug 28 2001 - olh@suse.de
- update to linuxppc64-2.4.8-ac9-ibm-1
* Thu Aug 16 2001 - olh@suse.de
- update to 2.4.8-ac5-ppc64
* Thu Aug 02 2001 - olh@suse.de
-  update to linuxppc64-2.4.5-ac18-ibm-4.patch.gz
* Thu Jul 12 2001 - olh@suse.de
- fix name of specfile -> linux
* Thu Jul 12 2001 - olh@suse.de
- update to 2.4.5-ac18
* Tue Jun 26 2001 - olh@suse.de
- initial package with 2.4.5-ac14
  see http://linuxppc64.org/
